Name: qmail-scanner
Version: 1.13
Release: 1
Summary: A Virus Scanner for qmail mail servers.
URL: http://qmail-scanner.sourceforge.net
Copyright: distributable
Group: Utilities/Text
Source0: qmail-scanner-1.13.tgz
Source1: qmail-scanner.conf
Patch0: de-root.patch
Patch1: config.patch
BuildPreReq: qmail
BuildPreReq: perl-time-hires
BuildPreReq: maildrop
Requires: qmail
Requires: perl-suidperl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
A Virus Scanner for qmail mail servers.

It can handle a variety of different virus scanner software.

%changelog
* Thu Aug 01 2002 David Summers <david@summersoft.fay.ar.us> 1.13-1
  Release 1: First build.

%prep
%setup -q

# Take out root install requirement.
%patch0 -p0

# Move configuration items to /etc/qmail-scanner.conf
%patch1 -p0 -b .orig

./configure --admin root --domain some.domain.com \
   --scanners sweep,sophie,vscan,trophie,uvscan,csav,antivir,kavscanner,AvpLinux,kavdaemon,AvpDaemonClient,fsav,fprot,inocucmd,ravlin,clamscan,verbose_spamassassin,fast_spamassassin <<EOF
y
y
EOF

# Fix hostname.
HOSTNAME=`hostname`
sed -e "s;$HOSTNAME;some.domain.com;" < qmail-scanner-queue.pl > qmail-scanner-queue.pl.new && mv qmail-scanner-queue.pl.new qmail-scanner-queue.pl

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin/qmail
mkdir -p $RPM_BUILD_ROOT/var/spool/qmailscan/

/var/qmail/bin/maildirmake $RPM_BUILD_ROOT/var/spool/qmailscan/archives
/var/qmail/bin/maildirmake $RPM_BUILD_ROOT/var/spool/qmailscan/failed
/var/qmail/bin/maildirmake $RPM_BUILD_ROOT/var/spool/qmailscan/quarantine
/var/qmail/bin/maildirmake $RPM_BUILD_ROOT/var/spool/qmailscan/working

# Install configuration file.
cp %{SOURCE1} $RPM_BUILD_ROOT/etc

# Install executable.
cp qmail-scanner-queue.pl $RPM_BUILD_ROOT/usr/bin/qmail

# Install quarantine
cp quarantine-attachments.txt $RPM_BUILD_ROOT/var/spool/qmailscan

# Install virus scanner subroutines
cp sub-*.pl $RPM_BUILD_ROOT/var/spool/qmailscan

%post
# Initialize the version file.
/var/qmail/bin/qmail-scanner-queue.pl -z

# Initialize the perlscanner database.
/var/qmail/bin/qmail-scanner-queue.pl -g

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/qmail-scanner.conf
%doc CHANGES COPYING FAQ.php index.php manual-install.php README README.html TODO.php
%attr(4755,qmailq,qmail) /usr/bin/qmail/qmail-scanner-queue.pl
%attr(-,qmailq,qmail) /var/spool/qmailscan
